# See https://sot.github.io/agasc/supplement.html for detailed guidance.
#
# After reviewing and updating this file, run as `aca`:
#   agasc-supplement-tasks disposition
# Check the diffs at:
#   https://cxc.cfa.harvard.edu/mta/ASPECT/agasc/supplement/agasc_supplement_diff.html
# After reviewing the post-disposition email with diffs, run as `aca`:
#   agasc-supplement-tasks schedule-promotion
#
# Replace BAD_STAR_CODE with one of the following bad star codes:
#  9: Bad star added based on automated magnitude processing. Magnitude is a lower bound, set to MAXMAG.
# 10: Bad star added manually due to bad position (bad catalog position or high or missing proper motion)
# 11: Bad star added based on automated magnitude processing. Magnitude is an upper bound.
# 12: Bad star added based on automated magnitude processing. Magnitude set manually.
# 13: Bad star added based on automated magnitude processing. Star shows variability not captured in VAR.
# See also: https://github.com/sot/agasc/wiki/Add-bad-star-to-AGASC-supplement-manually
bad:
  42864912: BAD_STAR_CODE
  128724960: BAD_STAR_CODE
  195167088: BAD_STAR_CODE
  259149568: BAD_STAR_CODE
  264115840: BAD_STAR_CODE
  271454056: BAD_STAR_CODE
  271459424: BAD_STAR_CODE
  338825648: BAD_STAR_CODE
  338830088: BAD_STAR_CODE
  497824592: BAD_STAR_CODE
  505545160: BAD_STAR_CODE
  612370792: BAD_STAR_CODE
  649070072: BAD_STAR_CODE
  653919168: BAD_STAR_CODE
  813964024: BAD_STAR_CODE
  821297368: BAD_STAR_CODE
  822889136: BAD_STAR_CODE
  839385704: BAD_STAR_CODE
  905715624: BAD_STAR_CODE
  932053320: BAD_STAR_CODE
  932063320: BAD_STAR_CODE
  932067896: BAD_STAR_CODE
  998126280: BAD_STAR_CODE
  998639688: BAD_STAR_CODE
  1096420712: BAD_STAR_CODE
  1096567272: BAD_STAR_CODE
  1133792272: BAD_STAR_CODE
  1139171624: BAD_STAR_CODE
  1148070648: BAD_STAR_CODE
  1148203552: BAD_STAR_CODE
  1148205072: BAD_STAR_CODE
  1148205168: BAD_STAR_CODE
  1148592952: BAD_STAR_CODE
  1148716768: BAD_STAR_CODE
#
# Mags below assume that the star is not detected and uses the star max mag.
# Edit accordingly if this is not the case.
mags:
  - agasc_id: 42864912
    mag_aca: 11.203
    mag_aca_err: 0.1
  - agasc_id: 128724960
    mag_aca: 10.812
    mag_aca_err: 0.1
  - agasc_id: 195167088
    mag_aca: 12.266
    mag_aca_err: 0.1
  - agasc_id: 259149568
    mag_aca: 12.172
    mag_aca_err: 0.1
  - agasc_id: 264115840
    mag_aca: 12.844
    mag_aca_err: 0.1
  - agasc_id: 271454056
    mag_aca: 9.797
    mag_aca_err: 0.1
  - agasc_id: 271459424
    mag_aca: 9.906
    mag_aca_err: 0.1
  - agasc_id: 338825648
    mag_aca: 10.266
    mag_aca_err: 0.1
  - agasc_id: 338830088
    mag_aca: 9.375
    mag_aca_err: 0.1
  - agasc_id: 497824592
    mag_aca: 13.078
    mag_aca_err: 0.1
  - agasc_id: 505545160
    mag_aca: 10.828
    mag_aca_err: 0.1
  - agasc_id: 612370792
    mag_aca: 12.797
    mag_aca_err: 0.1
  - agasc_id: 649070072
    mag_aca: 12.719
    mag_aca_err: 0.1
  - agasc_id: 653919168
    mag_aca: 12.031
    mag_aca_err: 0.1
  - agasc_id: 813964024
    mag_aca: 9.812
    mag_aca_err: 0.1
  - agasc_id: 821297368
    mag_aca: 9.641
    mag_aca_err: 0.1
  - agasc_id: 822889136
    mag_aca: 9.344
    mag_aca_err: 0.1
  - agasc_id: 839385704
    mag_aca: 8.953
    mag_aca_err: 0.1
  - agasc_id: 905715624
    mag_aca: 10.375
    mag_aca_err: 0.1
  - agasc_id: 932053320
    mag_aca: 9.781
    mag_aca_err: 0.1
  - agasc_id: 932063320
    mag_aca: 9.734
    mag_aca_err: 0.1
  - agasc_id: 932067896
    mag_aca: 10.0
    mag_aca_err: 0.1
  - agasc_id: 998126280
    mag_aca: 9.25
    mag_aca_err: 0.1
  - agasc_id: 998639688
    mag_aca: 9.531
    mag_aca_err: 0.1
  - agasc_id: 1096420712
    mag_aca: 10.969
    mag_aca_err: 0.1
  - agasc_id: 1096567272
    mag_aca: 9.547
    mag_aca_err: 0.1
  - agasc_id: 1133792272
    mag_aca: 10.609
    mag_aca_err: 0.1
  - agasc_id: 1139171624
    mag_aca: 10.297
    mag_aca_err: 0.1
  - agasc_id: 1148070648
    mag_aca: 10.031
    mag_aca_err: 0.1
  - agasc_id: 1148203552
    mag_aca: 10.531
    mag_aca_err: 0.1
  - agasc_id: 1148205072
    mag_aca: 10.375
    mag_aca_err: 0.1
  - agasc_id: 1148205168
    mag_aca: 9.812
    mag_aca_err: 0.1
  - agasc_id: 1148592952
    mag_aca: 10.078
    mag_aca_err: 0.1
  - agasc_id: 1148716768
    mag_aca: 10.906
    mag_aca_err: 0.1
#
# status: 0 = star-obs is OK and mag data should be used => REMOVE the mags entry
#         1 = star-obs is bad/unreliable => use mags values above
# comments: see the Rubric in https://sot.github.io/agasc/supplement.html
#   Most commonly:
#     "Never acquired" (status=1)
#     "Almost never acquired" (status=0 or 1, depending on data quality)
#     "Faint star" (status=0)
obs:
  - mp_starcat_time: 2020:259:07:03:15.474
    obsid: 46945
    status: 1
    agasc_id: [42864912]
    comments: Suspect observation
  - mp_starcat_time: 2023:186:14:13:03.961
    obsid: 44362
    status: 1
    agasc_id: [128724960]
    comments: Suspect observation
  - mp_starcat_time: 2015:355:17:05:45.600
    obsid: 51395
    status: 1
    agasc_id: [195167088]
    comments: Suspect observation
  - mp_starcat_time: 2005:191:21:43:36.000
    obsid: 59564
    status: 1
    agasc_id: [259149568]
    comments: Suspect observation
  - mp_starcat_time: 2013:048:18:59:05.061
    obsid: 53937
    status: 1
    agasc_id: [264115840]
    comments: Suspect observation
  - mp_starcat_time: 2023:186:09:56:18.261
    obsid: 44366
    status: 1
    agasc_id: [271454056]
    comments: Suspect observation
  - mp_starcat_time: 2023:186:09:56:18.261
    obsid: 44366
    status: 1
    agasc_id: [271459424]
    comments: Suspect observation
  - mp_starcat_time: 2023:183:18:24:58.060
    obsid: 44373
    status: 1
    agasc_id: [338825648]
    comments: Suspect observation
  - mp_starcat_time: 2023:183:18:24:58.060
    obsid: 44373
    status: 1
    agasc_id: [338830088]
    comments: Suspect observation
  - mp_starcat_time: 2010:004:19:53:30.715
    obsid: 56547
    status: 1
    agasc_id: [497824592]
    comments: Suspect observation
  - mp_starcat_time: 2014:159:03:53:31.631
    obsid: 16064
    status: 1
    agasc_id: [505545160]
    comments: Suspect observation
  - mp_starcat_time: 2013:247:07:54:46.000
    obsid: 53425
    status: 1
    agasc_id: [612370792]
    comments: Suspect observation
  - mp_starcat_time: 2014:138:12:18:55.415
    obsid: 52767
    status: 1
    agasc_id: [649070072]
    comments: Suspect observation
  - mp_starcat_time: 2013:091:02:18:06.000
    obsid: 53819
    status: 1
    agasc_id: [653919168]
    comments: Suspect observation
  - mp_starcat_time: 2021:154:16:23:25.445
    obsid: 46314
    status: 1
    agasc_id: [813964024]
    comments: Suspect observation
  - mp_starcat_time: 2023:186:11:52:48.000
    obsid: 44363
    status: 1
    agasc_id: [821297368]
    comments: Suspect observation
  - mp_starcat_time: 2023:191:14:28:56.069
    obsid: 44351
    status: 1
    agasc_id: [822889136]
    comments: Suspect observation
  - mp_starcat_time: 2005:282:18:53:05.394
    obsid: 5438
    status: 1
    agasc_id: [839385704]
    comments: Suspect observation
  - mp_starcat_time: 2023:197:03:13:52.473
    obsid: 44328
    status: 1
    agasc_id: [905715624]
    comments: Suspect observation
  - mp_starcat_time: 2023:196:23:05:46.694
    obsid: 44332
    status: 1
    agasc_id: [932053320]
    comments: Suspect observation
  - mp_starcat_time: 2023:197:01:21:16.209
    obsid: 44330
    status: 1
    agasc_id: [932053320]
    comments: Suspect observation
  - mp_starcat_time: 2023:196:23:05:46.694
    obsid: 44332
    status: 1
    agasc_id: [932063320]
    comments: Suspect observation
  - mp_starcat_time: 2023:197:01:21:16.209
    obsid: 44330
    status: 1
    agasc_id: [932063320]
    comments: Suspect observation
  - mp_starcat_time: 2023:196:23:05:46.694
    obsid: 44332
    status: 1
    agasc_id: [932067896]
    comments: Suspect observation
  - mp_starcat_time: 2023:181:01:52:09.366
    obsid: 44380
    status: 1
    agasc_id: [998126280]
    comments: Suspect observation
  - mp_starcat_time: 2023:181:04:35:07.000
    obsid: 44378
    status: 1
    agasc_id: [998126280]
    comments: Suspect observation
  - mp_starcat_time: 2023:181:04:35:07.000
    obsid: 44378
    status: 1
    agasc_id: [998639688]
    comments: Suspect observation
  - mp_starcat_time: 2023:178:10:48:21.587
    obsid: 44390
    status: 1
    agasc_id: [1096420712]
    comments: Suspect observation
  - mp_starcat_time: 2023:178:10:48:21.587
    obsid: 44390
    status: 1
    agasc_id: [1096567272]
    comments: Suspect observation
  - mp_starcat_time: 2023:196:20:39:15.862
    obsid: 44333
    status: 1
    agasc_id: [1133792272]
    comments: Suspect observation
  - mp_starcat_time: 2012:347:23:39:03.772
    obsid: 14825
    status: 1
    agasc_id: [1139171624]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:01:19:48.275
    obsid: 44357
    status: 1
    agasc_id: [1148070648]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148070648]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:01:19:48.275
    obsid: 44357
    status: 1
    agasc_id: [1148203552]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148203552]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148205072]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148205168]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:01:19:48.275
    obsid: 44357
    status: 1
    agasc_id: [1148592952]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148592952]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:01:19:48.275
    obsid: 44357
    status: 1
    agasc_id: [1148716768]
    comments: Suspect observation
  - mp_starcat_time: 2023:189:02:54:47.000
    obsid: 44355
    status: 1
    agasc_id: [1148716768]
    comments: Suspect observation